//
//     Copyright 2006 Jim Bublitz <jbublitz@nwinternet.com>
//     Earlier copyrights 1998 - 2005 Jim Bublitz and/or Phil Thompson
//     may also apply


//                 Generated by preSip
//            module tdeio  version KDE_3_5_2

%Copying

 This software is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License as
 published by the Free Software Foundation; either version 2 of
 the License, or (at your option) any later version.

 This software is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public
 License along with this library; see the file COPYING.
 If not, write to the Free Software Foundation, Inc.,
 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

%End

%Module tdeio

%Import tqt/tqtmod.sip
%Import tqtxml/tqtxmlmod.sip
%Import dcopmod.sip
%Import tdecoremod.sip
%Import tdefxmod.sip
%Import tdeuimod.sip

%Include authinfo.sip
%Include chmodjob.sip
%Include connection.sip
%Include defaultprogress.sip
%Include global.sip
%Include job.sip
%Include jobclasses.sip
%Include karchive.sip
%Include kautomount.sip
%Include kdatatool.sip
%Include kdirlister.sip
%Include kdirnotify.sip
%Include kdirwatch.sip
%Include tdeemailsettings.sip
%Include tdefilefilter.sip
%Include tdefileitem.sip
%Include tdefilemetainfo.sip
%Include kfilterbase.sip
%Include kfilterdev.sip
%Include kimageio.sip
%Include kmimemagic.sip
%Include kmimetype.sip
%Include kprotocolinfo.sip
%Include tdeprotocolmanager.sip
%Include krun.sip
%Include kscan.sip
%Include kservice.sip
%Include kservicegroup.sip
%Include kservicetype.sip
%Include kshellcompletion.sip
%Include kshred.sip
%Include tdesycoca.sip
%Include tdesycocaentry.sip
%Include tdesycocafactory.sip
%Include tdesycocatype.sip
%Include ktar.sip
%Include ktrader.sip
%Include kurifilter.sip
%Include kurlcompletion.sip
%Include kurlpixmapprovider.sip
%Include kuserprofile.sip
%Include netaccess.sip
%Include observer.sip
%Include passdlg.sip
%Include paste.sip
%Include previewjob.sip
%Include progressbase.sip
%Include renamedlg.sip
%Include renamedlgplugin.sip
%Include scheduler.sip
%Include sessiondata.sip
%Include skipdlg.sip
%Include slave.sip
%Include slavebase.sip
%Include slaveconfig.sip
%Include slaveinterface.sip
%Include statusbarprogress.sip
%Include tcpslavebase.sip
%Include thumbcreator.sip
@mark@
